sayren Docs
상점 설정

초대 목록 조회

GET
/v1/store/invitations

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Query Parameters

status?string

초대 상태 필터

Value in"PENDING""ACCEPTED""EXPIRED""CANCELED"

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*array<>
error*|null
curl -X GET 'https://api.sayren.io/v1/store/invitations' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": [    {      "invitationId": "string",      "email": "user@example.com",      "role": "ADMIN",      "status": "PENDING",      "invitedBy": "string",      "expiresAt": "string",      "createdAt": "string",      "deliveryStatus": "SENDING",      "deliveryErrorCode": null,      "lastSentAt": null,      "sendCount": 0,      "acceptedAt": null    }  ],  "error": null}